V1.0

post

/ec-designer-svc/rest/v1.0/studies/{studyId}/cloneSystemCodelist

Clones the system codelist for the study.

Request

Path Parameters
  • Study ID (UUID, 32-character uppercase hexadecimal string). Required. Example: F054C951EB74443C93716CA714AB686E
    Example:
    2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Query Parameters
  • httpMethod , which is required to identify whether it's create/update action and update the corresponding statuses while cloning the sytem codelist
    Default Value:
    Example:
    POST

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: string
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top